<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.13"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>AlexaClientSDK: alexaClientSDK::integration::test::TestAuthDelegate Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="avs-logo.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">AlexaClientSDK
   &#160;<span id="projectnumber">1.8.1</span>
   </div>
   <div id="projectbrief">A cross-platform, modular SDK for interacting with the Alexa Voice Service</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.13 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="namespacealexa_client_s_d_k.html">alexaClientSDK</a></li><li class="navelem"><a class="el" href="namespacealexa_client_s_d_k_1_1integration.html">integration</a></li><li class="navelem"><a class="el" href="namespacealexa_client_s_d_k_1_1integration_1_1test.html">test</a></li><li class="navelem"><a class="el" href="classalexa_client_s_d_k_1_1integration_1_1test_1_1_test_auth_delegate.html">TestAuthDelegate</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="classalexa_client_s_d_k_1_1integration_1_1test_1_1_test_auth_delegate-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">alexaClientSDK::integration::test::TestAuthDelegate Class Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p><code>#include &lt;<a class="el" href="_test_auth_delegate_8h_source.html">TestAuthDelegate.h</a>&gt;</code></p>
<div class="dynheader">
Inheritance diagram for alexaClientSDK::integration::test::TestAuthDelegate:</div>
<div class="dyncontent">
<div class="center"><img src="classalexa_client_s_d_k_1_1integration_1_1test_1_1_test_auth_delegate__inherit__graph.png" border="0" usemap="#alexa_client_s_d_k_1_1integration_1_1test_1_1_test_auth_delegate_inherit__map" alt="Inheritance graph"/></div>
<map name="alexa_client_s_d_k_1_1integration_1_1test_1_1_test_auth_delegate_inherit__map" id="alexa_client_s_d_k_1_1integration_1_1test_1_1_test_auth_delegate_inherit__map">
<area shape="rect" id="node2" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_auth_delegate_interface.html" title="alexaClientSDK::avsCommon\l::sdkInterfaces::AuthDelegateInterface" alt="" coords="5,5,253,44"/>
</map>
<center><span class="legend">[<a href="graph_legend.html">legend</a>]</span></center></div>
<div class="dynheader">
Collaboration diagram for alexaClientSDK::integration::test::TestAuthDelegate:</div>
<div class="dyncontent">
<div class="center"><img src="classalexa_client_s_d_k_1_1integration_1_1test_1_1_test_auth_delegate__coll__graph.png" border="0" usemap="#alexa_client_s_d_k_1_1integration_1_1test_1_1_test_auth_delegate_coll__map" alt="Collaboration graph"/></div>
<map name="alexa_client_s_d_k_1_1integration_1_1test_1_1_test_auth_delegate_coll__map" id="alexa_client_s_d_k_1_1integration_1_1test_1_1_test_auth_delegate_coll__map">
<area shape="rect" id="node2" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_auth_delegate_interface.html" title="alexaClientSDK::avsCommon\l::sdkInterfaces::AuthDelegateInterface" alt="" coords="5,5,253,44"/>
</map>
<center><span class="legend">[<a href="graph_legend.html">legend</a>]</span></center></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:a57a07c5e4315d3c6810dfbe5c5fc3ef3"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1integration_1_1test_1_1_test_auth_delegate.html#a57a07c5e4315d3c6810dfbe5c5fc3ef3">TestAuthDelegate</a> ()=default</td></tr>
<tr class="separator:a57a07c5e4315d3c6810dfbe5c5fc3ef3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aefdb6d64e5bdb74a431268bd97a2bcb2"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1integration_1_1test_1_1_test_auth_delegate.html#aefdb6d64e5bdb74a431268bd97a2bcb2">setAuthToken</a> (const std::string &amp;authToken)</td></tr>
<tr class="separator:aefdb6d64e5bdb74a431268bd97a2bcb2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a309b878abfc0c0a05ed87322c8d2674c"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1integration_1_1test_1_1_test_auth_delegate.html#a309b878abfc0c0a05ed87322c8d2674c">setAuthState</a> (const <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_auth_observer_interface.html#a62a72a6ac191b845c9a379a7d4ad56f4">AuthObserverInterface::State</a> &amp;authState, const <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_auth_observer_interface.html#a3a3b2f95459c18e64fab7a296ad9fbce">AuthObserverInterface::Error</a> &amp;authError=<a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_auth_observer_interface.html#a3a3b2f95459c18e64fab7a296ad9fbcead0749aaba8b833466dfcbb0428e4f89c">AuthObserverInterface::Error::SUCCESS</a>)</td></tr>
<tr class="separator:a309b878abfc0c0a05ed87322c8d2674c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr><td colspan="2"><div class="groupHeader">HttpPutInterface method overrides.</div></td></tr>
<tr class="memitem:a08b3da3d08ea6e692b41dd052dbc34e3"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1integration_1_1test_1_1_test_auth_delegate.html#a08b3da3d08ea6e692b41dd052dbc34e3">addAuthObserver</a> (std::shared_ptr&lt; <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_auth_observer_interface.html">AuthObserverInterface</a> &gt; observer) override</td></tr>
<tr class="separator:a08b3da3d08ea6e692b41dd052dbc34e3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad8b4539a588b38fe95a0728fc2fcb950"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1integration_1_1test_1_1_test_auth_delegate.html#ad8b4539a588b38fe95a0728fc2fcb950">removeAuthObserver</a> (std::shared_ptr&lt; <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_auth_observer_interface.html">AuthObserverInterface</a> &gt; observer) override</td></tr>
<tr class="separator:ad8b4539a588b38fe95a0728fc2fcb950"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a48c5dc40e34bce11151b07a707bd1663"><td class="memItemLeft" align="right" valign="top">std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1integration_1_1test_1_1_test_auth_delegate.html#a48c5dc40e34bce11151b07a707bd1663">getAuthToken</a> () override</td></tr>
<tr class="separator:a48c5dc40e34bce11151b07a707bd1663"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pub_methods_classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_auth_delegate_interface"><td colspan="2" onclick="javascript:toggleInherit('pub_methods_classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_auth_delegate_interface')"><img src="closed.png" alt="-"/>&#160;Public Member Functions inherited from <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_auth_delegate_interface.html">alexaClientSDK::avsCommon::sdkInterfaces::AuthDelegateInterface</a></td></tr>
<tr class="memitem:ae2256b1de42b60b2a08500f45c6f3669 inherit pub_methods_classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_auth_delegate_interface"><td class="memItemLeft" align="right" valign="top">virtual&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_auth_delegate_interface.html#ae2256b1de42b60b2a08500f45c6f3669">~AuthDelegateInterface</a> ()=default</td></tr>
<tr class="separator:ae2256b1de42b60b2a08500f45c6f3669 inherit pub_methods_classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_auth_delegate_interface"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4828a1a064ec6c1c1d9c2fefad5d5d0d inherit pub_methods_classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_auth_delegate_interface"><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_auth_delegate_interface.html#a4828a1a064ec6c1c1d9c2fefad5d5d0d">addAuthObserver</a> (std::shared_ptr&lt; <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_auth_observer_interface.html">avsCommon::sdkInterfaces::AuthObserverInterface</a> &gt; observer)=0</td></tr>
<tr class="separator:a4828a1a064ec6c1c1d9c2fefad5d5d0d inherit pub_methods_classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_auth_delegate_interface"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:acba7bf24a550d8009a0d9adbb72955b0 inherit pub_methods_classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_auth_delegate_interface"><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_auth_delegate_interface.html#acba7bf24a550d8009a0d9adbb72955b0">removeAuthObserver</a> (std::shared_ptr&lt; <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_auth_observer_interface.html">avsCommon::sdkInterfaces::AuthObserverInterface</a> &gt; observer)=0</td></tr>
<tr class="separator:acba7bf24a550d8009a0d9adbb72955b0 inherit pub_methods_classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_auth_delegate_interface"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>A test auth delegate that will send back auth tokens and states that you want to test with. </p>
</div><h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a id="a57a07c5e4315d3c6810dfbe5c5fc3ef3"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a57a07c5e4315d3c6810dfbe5c5fc3ef3">&#9670;&nbsp;</a></span>TestAuthDelegate()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">alexaClientSDK::integration::test::TestAuthDelegate::TestAuthDelegate </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">default</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>Constructor </p>

</div>
</div>
<h2 class="groupheader">Member Function Documentation</h2>
<a id="a08b3da3d08ea6e692b41dd052dbc34e3"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a08b3da3d08ea6e692b41dd052dbc34e3">&#9670;&nbsp;</a></span>addAuthObserver()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void alexaClientSDK::integration::test::TestAuthDelegate::addAuthObserver </td>
          <td>(</td>
          <td class="paramtype">std::shared_ptr&lt; <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_auth_observer_interface.html">AuthObserverInterface</a> &gt;&#160;</td>
          <td class="paramname"><em>observer</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">override</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a48c5dc40e34bce11151b07a707bd1663"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a48c5dc40e34bce11151b07a707bd1663">&#9670;&nbsp;</a></span>getAuthToken()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">std::string alexaClientSDK::integration::test::TestAuthDelegate::getAuthToken </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">override</span><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>Get the current LWA authoriation token.</p>
<dl class="section return"><dt>Returns</dt><dd>The current authorization token. The returned value will be empty if an authorization token has yet to be acquired or if the most recently acquired token has expired. </dd></dl>

<p>Implements <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_auth_delegate_interface.html#a1fe1b7ac461f206358d5c7e7e82121f5">alexaClientSDK::avsCommon::sdkInterfaces::AuthDelegateInterface</a>.</p>

</div>
</div>
<a id="ad8b4539a588b38fe95a0728fc2fcb950"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad8b4539a588b38fe95a0728fc2fcb950">&#9670;&nbsp;</a></span>removeAuthObserver()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void alexaClientSDK::integration::test::TestAuthDelegate::removeAuthObserver </td>
          <td>(</td>
          <td class="paramtype">std::shared_ptr&lt; <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_auth_observer_interface.html">AuthObserverInterface</a> &gt;&#160;</td>
          <td class="paramname"><em>observer</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">override</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a309b878abfc0c0a05ed87322c8d2674c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a309b878abfc0c0a05ed87322c8d2674c">&#9670;&nbsp;</a></span>setAuthState()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void alexaClientSDK::integration::test::TestAuthDelegate::setAuthState </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_auth_observer_interface.html#a62a72a6ac191b845c9a379a7d4ad56f4">AuthObserverInterface::State</a> &amp;&#160;</td>
          <td class="paramname"><em>authState</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_auth_observer_interface.html#a3a3b2f95459c18e64fab7a296ad9fbce">AuthObserverInterface::Error</a> &amp;&#160;</td>
          <td class="paramname"><em>authError</em> = <code><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_auth_observer_interface.html#a3a3b2f95459c18e64fab7a296ad9fbcead0749aaba8b833466dfcbb0428e4f89c">AuthObserverInterface::Error::SUCCESS</a></code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Sets the auth state.</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">authState</td><td>The auth state of the delegate. </td></tr>
    <tr><td class="paramname">authError</td><td>The error associated with the auth state. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a id="aefdb6d64e5bdb74a431268bd97a2bcb2"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aefdb6d64e5bdb74a431268bd97a2bcb2">&#9670;&nbsp;</a></span>setAuthToken()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void alexaClientSDK::integration::test::TestAuthDelegate::setAuthToken </td>
          <td>(</td>
          <td class="paramtype">const std::string &amp;&#160;</td>
          <td class="paramname"><em>authToken</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Sets the auth token to be returned.</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">authToken</td><td>The auth token to be returned. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<hr/>The documentation for this class was generated from the following files:<ul>
<li>/private/tmp/release/1.8.1/avs-cpp-sdk-tools/cm/autoCM_privateRepo/avs-cpp-sdk/Integration/include/Integration/<a class="el" href="_test_auth_delegate_8h_source.html">TestAuthDelegate.h</a></li>
<li>/private/tmp/release/1.8.1/avs-cpp-sdk-tools/cm/autoCM_privateRepo/avs-cpp-sdk/Integration/src/<a class="el" href="_test_auth_delegate_8cpp.html">TestAuthDelegate.cpp</a></li>
</ul>
</div><!-- contents -->
<html>
  <body>
    <p style="text-align:left;">
      AlexaClientSDK 1.8.1 - Copyright 2016-2018 Amazon.com, Inc. or its affiliates. All Rights Reserved.
      <span style="float:right;">
	Licensed under the <a HREF=http://aws.amazon.com/apache2.0/>Apache License, Version 2.0</a>
      </span>
    </p>
  </body>
</html>
